version: "3.8"
services:
  ea_vue3:
    image: nginx:1.25.5-alpine
    container_name: ea_vue3
    restart: always
    ports:
      - "8082:80"
    volumes:
      - "/etc/localtime:/etc/localtime ro"
      - "/usr/share/zoneinfo/Asia/Shanghai:/etc/localtime ro"
      - "./default.conf:/etc/nginx/conf.d/default.conf"
      - "./dist/:/usr/share/nginx/html"
      - "/root/ea_poc/sftp/doc:/doc"
    networks:
      - ea_net
    deploy:
      resources:
        limits:
          cpus: "1"
          memory: 128m
        reservations:
          cpus: "0.25"
          memory: 10M
networks:
  ea_net:
    external: true
